%define debug_package %{nil}

%define majver 2
%define minver 0.9.9

Name:           radare
Version:        %{majver}.%{minver}
Release:        1%{?dist}
License:        LGPL-3.0
Source:         http://radare.nopcode.org/get/%{name}%{majver}-%{minver}.tar.xz
Source1:        radare-rpmlintrc
Source2:	%{name}2-capstone-%{minver}.tar.gz
Patch1:         radare-2.0.9-portability-issue.patch
Patch2:         RADARE-debug-patch
Group:          Development/Tools/Debuggers
Url:            http://www.radare.org
Summary:        Reverse Engineering Framework
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openssl-devel
BuildRequires:  gmp-devel
BuildRequires:  lua-devel
BuildRequires:  libewf-devel
BuildRequires:  libzip-devel
%if 0%{?rhel} != 5
BuildRequires:  file-devel
%else
BuildRequires:  file
%endif
BuildRequires:  swig

%description
Opensource tools to disasm, debug, analyze and manipulate binary files.

%package devel
Requires: radare
Summary: Devel files for radare
License: LGPL-3.0
Group:          Development/Tools/Debuggers
%description devel
Development files for radare


%prep
%setup -q -n %{name}%{majver}-%{minver}
#%patch1 -p1
#%patch2 -p1
cd shlr
mv capstone capstone-original
tar zxf %{SOURCE2}

%build
export CFLAGS="%{optflags}"                                                                                 
#%configure --with-openssl --with-syszip --with-sysmagic
%configure --with-openssl --with-sysmagic
make %{_smp_mflags}

%install
%make_install
# install -d -m0755 %{buildroot}%{_docdir}/%{name}2
# mv %{buildroot}/usr/share/doc/radare2 %{buildroot}%{_docdir}/radare2

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libr
%{_includedir}/libr/*
%{_libdir}/pkgconfig/*.pc


%files
%defattr(-,root,root)
%{_bindir}/*
%{_docdir}/*
%{_mandir}/man1/*
%dir %{_libdir}/%{name}2
%{_libdir}/%{name}2/*
/usr/lib/%{name}2/*
%{_libdir}/libr_*
%{_libdir}/libr2.so
%{_libdir}/libr2.so.%{minver}
#%{_libdir}/libsdb.a
%{_datadir}/%{name}2/%{minver}/cons/*
%{_datadir}/%{name}2/%{minver}/format/*
%{_datadir}/%{name}2/%{minver}/www/*.*
%{_datadir}/%{name}2/%{minver}/www/d3/*.*
%{_datadir}/%{name}2/%{minver}/www/enyo/build/*.*
%{_datadir}/%{name}2/%{minver}/www/enyo/js/*.*
%{_datadir}/%{name}2/%{minver}/www/enyo/*.*
%{_datadir}/%{name}2/%{minver}/www/enyo/Makefile
%{_datadir}/%{name}2/%{minver}/www/enyo/two
%{_datadir}/%{name}2/%{minver}/www/enyo/colors
%{_datadir}/%{name}2/%{minver}/www/enyo/lib/onyx/images/*.*
%{_datadir}/%{name}2/%{minver}/www/graph/*.*
%{_datadir}/%{name}2/%{minver}/www/graph/img/*.*
%{_datadir}/%{name}2/%{minver}/www/old/*.*
%{_datadir}/%{name}2/%{minver}/www/t/Makefile
%{_datadir}/%{name}2/%{minver}/www/t/*.*
%{_datadir}/%{name}2/%{minver}/www/p/lib/*/*
%{_datadir}/%{name}2/%{minver}/www/p/*.*
%{_datadir}/%{name}2/%{minver}/www/p/Makefile

%doc DEVELOPERS* ChangeLog* README* TODO*

%changelog
* Fri Jun  5 2015 vcizek@suse.com - 0.9.9
* Release 0.9.9

* Fri Mar  2 2012 vcizek@suse.com
- update to 2.0.9
  * fixed build
  * dropped radare-lua.patch
* Sun Nov  7 2010 prusnak@opensuse.org
- created package (v2.0.6)
